## pwgen 1-10

=== debian/changelog ===
pwgen (1-10) unstable; urgency=low

  * Corrected typo. in manpage (Bug #15027).

 -- Vincent Renardias <vincent@waw.com>  Thu, 18 Dec 1997 05:08:06 +0100

pwgen (1-9) unstable; urgency=low

  * Added a 'spwgen' command to get more 'secure' passwords.
    Fixes bug #13162.

 -- Vincent Renardias <vincent@waw.com>  Mon, 10 Nov 1997 06:14:12 +0100

pwgen (1-8) unstable; urgency=low

  * Documented bug #10192 so that it becomes a feature. _(;

 -- Vincent Renardias <vincent@waw.com>  Wed, 28 May 1997 21:06:38 +0200

pwgen (1-7) unstable; urgency=low

  * Rebuilt with libc6.

 -- Vincent Renardias <vincent@waw.com>  Thu, 1 May 1997 21:45:05 +0200

pwgen (1-6) unstable; urgency=low

  * Changed architecture from control file (i386 => any).

 -- Vincent Renardias <vincent@waw.com>  Sat, 19 Apr 1997 10:42:34 +0200

pwgen (1-5) unstable; urgency=low

  * Modified usage info (Fixes bug #8227).

 -- Vincent Renardias <vincent@waw.com>  Mon, 24 Mar 1997 23:33:11 +0100

pwgen (1-4) unstable; urgency=low

  * Modified RNG initialisation (Fixes Bug #6508).

 -- Vincent Renardias <vincent@waw.com>  Sat, 11 Jan 1997 22:58:24 +0100

pwgen (1-3) unstable; urgency=low

  * Maintainer changed
  * Tuned Makefile

 -- Vincent Renardias <vincent@waw.com>  Sat, 19 Oct 1996 04:32:26 +0200

pwgen (1-2) unstable; urgency=low

  * Binary not stripped
  * More documentation regarding the origin of the package

 -- Christoph Lameter <clameter@debian.org>  Thu, 26 Sep 1996 14:51:46 +0800

pwgen (1-1) unstable; urgency=low

  * Initial Release

 -- Christoph Lameter <clameter@debian.org>  Fri, 20 Sep 1996 14:51:46 +0800

Local variables:
mode: debian-changelog
End:
