## pwgen 1-11

=== Makefile ===
# Makefile for pwgen.

# Compile-time program options
OPTS	= -DCAPITALIZE -DALTPHON -DNUMERALS -DRAND48 -DDEBIAN

# Standard items
CC	= gcc
CFLAGS	= -O3
LD	= cc
#LDFLAGS	= -g
LIBS	= -lm
INSTALL	= install -s
INFLAGS	=

# Where to install
DESTDIR	= /usr/local/bin
MANDIR	= /usr/local/man/man1

# End configuration section

all: pwgen spwgen

test: pwgen
	./pwgen 8 20

install: all
	$(INSTALL) pwgen $(DESTDIR)
	$(INSTALL) spwgen $(DESTDIR)
	$(INSTALL) pwgen.1 $(MANDIR)
	chmod 555 $(DESTDIR)/pwgen
	chmod 555 $(DESTDIR)/spwgen
	chmod 444 $(MANDIR)/pwgen.1

spwgen:	spwgen.o
	$(LD) $(LDFLAGS) -o spwgen spwgen.o $(LIBS)

spwgen.o: spwgen.c
	$(CC) $(CFLAGS) $(OPTS) -c -o spwgen.o spwgen.c

pwgen:	pwgen.o
	$(LD) $(LDFLAGS) -o pwgen pwgen.o $(LIBS)

pwgen.o: pwgen.c
	$(CC) $(CFLAGS) $(OPTS) -c -o pwgen.o pwgen.c

clean:
	rm -f core a.out pwgen spwgen *.o *.old *~

tar:	clean
	cd ..; tar cvf pwgen.tar pwgen

dist:	clean
	cd ..; shar pwgen pwgen/* >pwgen.shar
