=== debian/changelog ===
pwgen (1-11) unstable; urgency=low

  * Corrected usage string (Bug #21612).

 -- Vincent Renardias <vincent@waw.com>  Fri, 24 Apr 1998 19:37:50 +0200
