=== debian/control ===
Source: pwgen
Section: admin
Priority: optional
Maintainer: Vincent Renardias <vincent@waw.com>
Standards-Version: 2.1.0.0

Package: pwgen
Architecture: any
Depends: ${shlibs:Depends}
Description: Automatic Password generation
 pwgen generates random, meaningless but pronounceable passwords. Depending
 on how the program was installed, these words contain either only
 lowercase letters, or upper and lower case mixed, or digits thrown
 in. Uppercase letters and digits are placed in a way that eases
 remembering their position when memorizing only the word.
