=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

p=pwgen

build:
	$(checkdir)
	$(MAKE)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm `find . -name "*.bak"`
	-rm -rf debian/tmp debian/files*

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(p)
	install -d debian/tmp/usr/man/man1
	install -d debian/tmp/usr/bin
	make install DESTDIR=debian/tmp/usr/bin MANDIR=debian/tmp/usr/man/man1
	cp README* debian/README.debian debian/tmp/usr/doc/$(p)
	cp debian/changelog debian/tmp/usr/doc/$(p)/changelog.Debian
	gzip -9fr debian/tmp/usr/doc/$(p)/* || true
	cp debian/copyright debian/tmp/usr/doc/$(p)/copyright
	chmod a+r debian/tmp/usr/doc/$(p)/*
	chmod 644 debian/tmp/usr/man/man1/pwgen.1
	gzip -9 debian/tmp/usr/man/man1/pwgen.1
	cd debian/tmp/usr/man/man1/ && ln -s pwgen.1.gz spwgen.1.gz
	strip  debian/tmp/usr/bin/*
	strip --remove-section=.comment debian/tmp/usr/bin/*
	strip --remove-section=.note debian/tmp/usr/bin/*
	dpkg-shlibdeps $(p)
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp

	dpkg --build debian/tmp ..

define checkdir
	test -f $(p).c -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
