## pwgen 1-15

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
 # Makefile for pwgen.
 
 # Compile-time program options
-OPTS	= -DCAPITALIZE -DALTPHON -DNUMERALS -DRAND48 -DDEBIAN
+#OPTS	= -DCAPITALIZE -DALTPHON -DNUMERALS -DRAND48 -DDEBIAN
+# or, if you want any of the first three rolled into one (plus -s), use this:
+OPTS	= -DALLBYOPTS -DRAND48 -DDEBIAN
 
 # Standard items
 CC	= gcc
@@ -18,17 +20,16 @@
 
 # End configuration section
 
-all: pwgen spwgen
+#all: pwgen spwgen
+all: pwgen
 
 test: pwgen
 	./pwgen 8 20
 
 install: all
 	$(INSTALL) pwgen $(DESTDIR)
-	$(INSTALL) spwgen $(DESTDIR)
-	$(INSTALL) pwgen.1 $(MANDIR)
+	install pwgen.1 $(MANDIR)
 	chmod 555 $(DESTDIR)/pwgen
-	chmod 555 $(DESTDIR)/spwgen
 	chmod 444 $(MANDIR)/pwgen.1
 
 spwgen:	spwgen.o
