=== debian/changelog ===
pwgen (1-15) unstable; urgency=low

  * Fix debian/rules; 
    closes: #54001: can not build from source.

 -- Vincent Renardias <vincent@debian.org>  Tue,  4 Jan 2000 14:53:58 +0100
    

pwgen (1-14) unstable; urgency=low

  * Fix bug #38630.

 -- Vincent Renardias <vincent@waw.com>  Wed,  2 Jun 1999 14:55:04 +0200

pwgen (1-13) unstable; urgency=low

  * install pwgen in mode 755, not 555.

 -- Vincent Renardias <vincent@waw.com>  Mon, 25 Jan 1999 05:51:20 +0100

pwgen (1-12) unstable; urgency=low

  * Plenty of good stuff contributed by Jim Lynch <jim@laney.edu>:
  * added -h and --help to the list of supported options.
    == pwgen (1-11.4) unstable; urgency=low
  * Cleaned up options parser. Now:
     - all options exclude repetition of themselves
     - -acn excludes -s
     - -s excludes -acn
     - -h in a future release.
    Note: this finshes fixes of Bug#25525.
    == pwgen (1-11.3) unstable; urgency=low
  * Made the function header for pwgen() be ANSI-compatible
  * Note: I just discovered that 1-11.1 fixes Bug#25525, and
    the parser will be fixed in .4, when I tighten up the parser.
    == pwgen (1-11.2) unstable; urgency=low
  * Modified manpage to combine the descriptions for short options with
    their equivalent long options.
    == pwgen (1-11.1) unstable; urgency=low
  * Added command-line arg handling (-a, -c, -n, -s) which implement
    the old preprocessor definitions ALTPHON, CAPITALIZE, NUMERALS and
    an unhooked secure password generator, respectively. Define ALLBYOPTS
    in the preprocessor to activate. When defined, ALTPHON, CAPITALIZE and
    NUMERALS have no effect. When not defined, is practically identical to
    version 1-11. The default for 1-11.1 will have ALLBYOPTS defined. Now,
    one copy of the pwgen binary will suffice when 16 would have been needed
    before to provide the same functionality. Also, the long options
    --alt-phonics, --capitalize, --numerals and --secure are identical
    aliases to -a, -c, -n and -s, respectively.
  * updated man page pwgen.1 to reflect all new functionality.
  * updated Makefile so it defines ALLBYOPTS and no longer defines ALTPHON,
    CAPITALIZE and NUMERALS when compiling pwgen (and spwgen; this
    has no effect, the secure option in pwgen is identical to the 
    implementation in spwgen. So, I have arranged for the Makefile to
    not build or install spwgen.)

 -- Vincent Renardias <vincent@waw.com>  Fri, 24 Apr 1998 19:37:50 +0200
