=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pwgen
 Section: admin
 Priority: optional
-Maintainer: Vincent Renardias <vincent@waw.com>
+Maintainer: Vincent Renardias <vincent@debian.org>
 Standards-Version: 2.1.0.0
 
 Package: pwgen
