=== debian/rules ===
--- 
+++ 
@@ -48,14 +48,13 @@
 	chmod a+r debian/tmp/usr/doc/$(p)/*
 	chmod 644 debian/tmp/usr/man/man1/pwgen.1
 	gzip -9 debian/tmp/usr/man/man1/pwgen.1
-	cd debian/tmp/usr/man/man1/ && ln -s pwgen.1.gz spwgen.1.gz
 	strip  debian/tmp/usr/bin/*
 	strip --remove-section=.comment debian/tmp/usr/bin/*
 	strip --remove-section=.note debian/tmp/usr/bin/*
 	dpkg-shlibdeps $(p)
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
-	chmod -R g-ws debian/tmp
+	chmod 755 debian/tmp/usr/bin/pwgen
 
 	dpkg --build debian/tmp ..
