## pwgen 2.07

=== debian/control ===
Source: pwgen
Section: admin
Priority: optional
Build-Depends: debhelper (>= 8)
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
Standards-Version: 3.9.6.0

Package: pwgen
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Automatic Password generation
 pwgen generates random, meaningless but pronounceable passwords.
 These passwords contain either only lowercase letters, or upper
 and lower case mixed, or digits thrown in.
 Uppercase letters and digits are placed in a way that eases
 remembering their position when memorizing only the word.

Package: pwgen-udeb
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: debian-installer
XC-Package-Type: udeb
Description: Automatic Password generation
 pwgen generates random, meaningless but pronounceable passwords.
 These passwords contain either only lowercase letters, or upper
 and lower case mixed, or digits thrown in.
 Uppercase letters and digits are placed in a way that eases
 remembering their position when memorizing only the word.
 .
 pwgen-udeb is a minimal package used by debian-installer.
