## pwgen 2.08

=== debian/changelog ===
pwgen (2.08-2) unstable; urgency=medium

  * Convert debian/rules file to use dh
  * Update the debhelper compatibility level to 12
  * Update Debian policy compliance to 4.0.0
  * fix unreliable support of --capitalize when --ambiguous
    is requested

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 03 Aug 2019 11:26:29 -0400

pwgen (2.08-1) unstable; urgency=medium

  * New upstream version
  * Suppress trailing space after the last password (Closes: #794635)
  * Make pwgen -s more "secure" for 1 and 2 character passwords
    (Closes: #666725)
  * Fix option parsing of "pwgen --no-capitalize --no-vowels" (Closes: #791908)
  * Add new option --remove-chars which removes chars from the set of
    characters used to generate passwords (Closes: #836334)
  * Add cross-compilation to debian/rules (Closes: #695148)
  * Update control and copyright files to point at pwgen at github for
    the home directory and primary git repository
    (Closes: #454500, #855495, #846517)
  * Update Debian policy compliance to 4.0.0

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 07 Aug 2017 00:51:45 -0400

pwgen (2.07-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add multiarch metadata (Closes: #693964)
  * Fix manpage typo (Closes: #579178)
  * Stop -s from overwriting other flags (Closes: #436912)

 -- Wookey <wookey@debian.org>  Thu, 22 Oct 2015 22:14:04 +0100

pwgen (2.07-1) unstable; urgency=high

  * New upstream version
  * Remove backwards compatibility for no-tty mode.  Addresses
    CVE-2013-4440 (Closes: #725507)
  * Fail hard if /dev/urandom and /dev/random are not available.
    Addresses CVE-2013-4442 and Launchpad #1183213 (Closes: #767008)
  * Fix pwgen -B so that it doesn't accidentally generate passwords with
    ambiguous characters after changing the case of some letters.
    Addresses Launchpad Bugs #638418 and #1349863
  * Fix potential portability bug on architectures where unsgined ints
    are not 4 bytes long
  * Update Debian policy compliance to 3.9.6.0
  * Build with Debian hardening using dpkg-buildflags

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 27 Oct 2014 23:30:52 -0400

pwgen (2.06-1) unstable; urgency=low

  * New upstream version
  * Fix pwgen -Bs so that this option combination works correctly
    (Closes: #368010)
  * Fix the pwgen -Bc option combination (Closes: #355153)
  * Fix typo in pwgen man page (Closes: #376147)
  * Make the -s option imply the -nc options (Closes: #427969)
  * Add -v option to generate passwords without vowels (Closes: #387461)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed,  4 Jul 2007 19:19:26 -0400

pwgen (2.05-1) unstable; urgency=low

  * Add a udeb for debian-installer.  Thanks to Martin Michlmayr for the
    patch.  (Closes: #271115)
  * Fix bug which would cause pwgen to loop forever if the password length
    is 1.
  * Fix spelling errors in the man page.  (Closes: #323538)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 15 Jan 2006 23:16:59 -0500

pwgen (2.04-1) unstable; urgency=low

  * New upstream version.
  * Adopt maintainership of pwgen.  (Closes: #282076)
  * Fix minor bug in man page.  (Closes: #311461)
  * Convert from debmake to debhelper
  * Add the --sha1 option so that pwgen uses the SHA1 hash to generate
    (not so) random passwords.
  * Add --symbols option which adds special symbols to the password.
    (Closes: #154561)
  * Add short options for --no-capitalize and --no-numerals and make those
    options work when --secure is specified.
  * Add --ambiguous option which avoids characters that can be confused by
    the user.  (Closes: #51307)
  * Fix bug where --no-capitalized and --no-numerals were ignored for short
    passwords.  (Closes: #276307)
  * In the pwgen man page, explain that human-memorable passwords are
    subject to off-line brute force attacks.  (Closes: #276976)
  * Allow one or more capital letters and digits in human-friendly
    passwords (Closes: #182595)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 15 Jun 2005 00:39:10 -0400

pwgen (2.03-1) unstable; urgency=high

  * New upstream release (Thanks Ted for the quick release! :-)
    (Closes: #170312, #176688).
  * Bugs fixed in previous release
    (Closes: #166959, #167485)

 -- Vincent Renardias <vincent@debian.org>  Thu, 16 Jan 2003 11:07:14 +0100

pwgen (2.02-2) unstable; urgency=low

  * Apply small fix from Matthew J Backes (Closes: #176082).

 -- Vincent Renardias <vincent@debian.org>  Mon, 13 Jan 2003 16:09:17 +0100

pwgen (2.02-1) unstable; urgency=low

  * new upstream release; fixes the following bugs (Thanks Ted!):
    - If the number of characters is less than 5, force the use
      of the fully random generator, since the quality of phonetic
      generator is really bad if the lengths are small --- and if
      the length is less than or equal to 2, pwgen will loop
      forever (Closes: #117137).
    - Fix e-mail address in man page (Closes: #150579).
    - #include the appropriate header files to avoid -Wall warnings
      (Closes: #126774).
    - Fix floating point exception errors if the password is longer
      than terminal width (Closes: #113571).
    - Return an exit value of 0 when pwgen on success
      (Closes: #118181, #102063).

 -- Vincent Renardias <vincent@debian.org>  Tue, 16 Jul 2002 11:32:40 +0200

pwgen (2.01-3) unstable; urgency=low

  * Package is not native anymore (Closes: #44169).
  * pwgen now accept to generate passwords longer than 16 chars
    (Closes: #54957).
  * pwgen now really honors the password length (Closes: #70580).
  * The /usr/doc symlink is created (Closes: #102452).

 -- Vincent Renardias <vincent@debian.org>  Thu,  6 Dec 2001 17:38:58 +0100

pwgen (2.01-2) unstable; urgency=low

  * Fix copyright file (Closes: #104207).
    The very purpose of having the /usr/share/licences directory is
    precisely to avoid to duplicate the GPL text in every package.
    This is explicitely allowed by the Debian policy unless it changed recently.


