=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: pwgen
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 8)
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
-Standards-Version: 3.9.6.0
+Build-Depends: debhelper (>= 12)
+Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
+Standards-Version: 4.4.0
+Homepage: https://github.com/tytso/pwgen
+Vcs-Browser: https://github.com/tytso/pwgen
+Vcs-Git: https://github.com/tytso/pwgen.git
 
 Package: pwgen
 Architecture: any
